Subject: bug#62975: 29.0.90; Forking processes on macOS has become very slow in Emacs 29

From: Eli Zaretskii <[email-masked]>
Date: Thu, 20 Apr 2023 21:58:09 +0300

> From: "John Wiegley" <[email-masked]>
> Date: Thu, 20 Apr 2023 11:41:24 -0700
> 
> I noticed after upgrading to 29.0.90 that Emacs felt very sluggish. I was able
> to track this down to slow forking behavior, such as what happened in Emacs 26
> days. As an example, I started with emacs -Q and then loaded magit and used it
> to check for changes in one of my local repositories. These are the timings
> for just hitting 'g':
> 
>    28.2            Refreshing magit...done (0.298s, cached 11/25 (44%))
>    28.2-Macport    Refreshing magit...done (0.140s, cached 6/16 (38%))
>    29.0.90         Refreshing magit...done (1.495s, cached 11/25 (44%))
> 
> As you can see, with identical configuration (-Q) and the same Git project,
> refreshing takes 7 times longer with Emacs 29 than it did with Emacs 28.

Thanks.

Can someone else who uses Emacs 29 on macOS reproduce this regression
in performance relative to Emacs 28?